Bug 665859 - [abrt] gnome-media-2.30.0-1.fc13: get_channel_map_for_card: Process /usr/bin/gnome-volume-control was killed by signal 6 (SIGABRT)
[abrt] gnome-media-2.30.0-1.fc13: get_channel_map_for_card: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
13
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:59b1a4d0544615d05427058249e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-27 09:05 EST by Ovide
Modified: 2011-06-27 08:51 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.58 KB, text/plain)
2010-12-27 09:05 EST, Ovide
no flags Details

  None (edit)
Description Ovide 2010-12-27 09:05:14 EST
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: gnome-volume-control
comment: Sound card detection system is not working correctly.  I have to reboot several times just to get sound card detected then the crash happens when card is detected but then fails.
component: gnome-media
crash_function: get_channel_map_for_card
executable: /usr/bin/gnome-volume-control
kernel: 2.6.34.7-66.fc13.i686
package: gnome-media-2.30.0-1.fc13
rating: 4
reason: Process /usr/bin/gnome-volume-control was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1293457080
uid: 500

How to reproduce
-----
1. Boot machine.
2. Open System -> Preferences -> Sound.
3. Choose Hardware Tab.
4. Select device and press "Test Speakers" button.
5. No sound during test.
6. Close open window and crash occurs.
Comment 1 Ovide 2010-12-27 09:05:17 EST
Created attachment 470851 [details]
File: backtrace
Comment 2 Phil V 2010-12-29 01:00:41 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Gnome Taskbar Menu -> System -> Preferences -> Sound : "Sound Preferences" opens
2. Hardware Tab, pull down menu to Digital Stereo (IEC958) Output + Analog Stereo Input
3. Click on "Test Speakers" Button. The application vanishes.


Comment
-----
Comment 3 Gerard Barker 2011-01-11 23:40:06 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Attempting to test speakers after changing output setup to surround 5.1 rear output/input + input 1/2 microphone on front output/input (mono mic attached).
2. Daemon.conf altered to default = 6 and speaker configuration front-left,front-right,rear-left,rear-right,center-front,lfe and both lines uncommented.
3.
Comment 4 Luigi Ferrante 2011-01-12 14:14:38 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. after changed audio output 
2.
3.
Comment 5 Ruggero 2011-01-17 05:57:48 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.click on test speacker
2.
3.
Comment 6 Gerard Barker 2011-01-17 14:17:57 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Changed alsamixer settings from shared to independent for surround 5.1 plugs, and put up volume of ports used by surround sound plugs i.e. line and mic so that would not have the effect of muting the surround rear and center speakers including the lfe/subwoofer.
2. Removed mic 1/2 from gui pulseaudio preferences selecting 5.1 only then went to test speakers.
3. Pulseaudio preferences came up with dummy output and crashed on testing of speakers with 5.1 only yet 5.1 is on back triple ports whereas mic is on front twin ports.  In other words, there are effectively 5 ports front and back if they are on the same driver, but 5.1 surround rear speakers not producing sound.


Comment
-----
Tested speakers of 5.1 surround setup but crashed.

Pulseaudio preferences went to dummy stereo output mode.  Had this problem before and had to boot old kernel and reinstall updated kernel to reinitialise or detect sound hardware.
Comment 7 lev 2011-01-28 09:22:26 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open volume control
2.test speakers on my USB device SoundBlaster
3.
Comment 8 Chris McDonald 2011-02-10 14:45:52 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Change audio from analog output to digital output
2. played some music
3.
Comment 9 Chris McDonald 2011-02-23 15:23:23 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. change volume output from digital output to analog output
2.
3.
Comment 10 Phil V 2011-03-03 12:25:53 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
??????
Comment 11 Erik Berg 2011-03-08 11:20:01 EST
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Listen to audio via wireless usb headset
2. unplug usb module while audio is playing
3. plug usb module in different usb port.
4. note that headset does NOT show up in input/output tabs in soundpreferences.
5. note that it does show up under hardware tab.
6. select headset in hardware tab, press "test speakers"


Comment
-----
At least I think that's how I did it. I can follow up and try various configurations of when to plug/unplug usb module.
Comment 12 Mike Eskenazi 2011-04-04 13:06:09 EDT
Package: gnome-media-2.30.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I plugged in a USB headset (earphones and mic, Minghai brand, model # USB-510)
2. I opened the system>preferences>sound control panel
3. I went to the "hardware" tab
4. I selected "audio headset", which was recognized as having "analog stereo output + analog mono input"
5. I pressed the "test speakers" button
6. The control panel crashed.

NOTE: When I plug this headset into a Windows machine, Windows says it is installing drivers.  When I connected the headset to my Fedora 13 machine, I received no such notice.


Comment
-----
I plugged in the headset and expected Fedora to tell me that the drivers had installed successfully.  I received no such notice.  I also am not able to hear anything from the headset.  I went to the "Sound" control panel in an attempt to configure the sound output.  The "sound" control panel crashed.  I have not yet re-started my machine.  That might do the trick.
Comment 13 Andy McKellar 2011-05-25 14:18:26 EDT
Package: gnome-media-2.30.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Changed the speaker configuration from "Analog stereo" to ""4.0"
2.Selected "Test speakers"
3.Sound system crashed
Comment 14 Bug Zapper 2011-05-30 08:23:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 08:51:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.